--- /dev/null
+#!/bin/sh
+
+set -e
+#set -x
+
+# source debconf stuff
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ "$1" = "configure" ]
+then
+ db_input high apt-p2p/port_forward || true
+ db_go
+fi
--- /dev/null
+Template: apt-p2p/port_forward
+Type: note
+_Description: Port forwarding
+ It is VERY important that Apt-P2P's ports be reachable by other peers.
+ This is needed both to share files with others, and to connect to
+ others through the DHT to find peers for files. If you aren't
+ accessible by others, you will not only not share anything, but your
+ performance during downloading will be affected.
+ .
+ Apt-P2P uses a default port of 9977, over both TCP and UDP, for it's
+ communication. You can change this port in the
+ /etc/apt-p2p/apt-p2p.conf file, and use different ports for TCP and
+ UDP, if desired. Whatever port you use, make sure to forward it
+ through your NAT or firewall to improve your performance and share
+ with others. Information on port forwarding can be found here:
+ .
+ http://portforward.com/
\ No newline at end of file
Homepage: http://www.camrdale.org/apt-p2p.html
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python-dev, python-support (>= 0.5.4), docbook-to-man, python-debian (>= 0.1.4)
+Build-Depends-Indep: python-dev, python-support (>= 0.5.4), po-debconf, docbook-to-man, python-debian (>= 0.1.4)
Vcs-Git: git://git.camrdale.org/git/apt-p2p.git
Vcs-Browser: http://git.camrdale.org/?p=apt-p2p.git;a=summary
XS-Dm-Upload-Allowed: yes
Package: apt-p2p
Architecture: all
-Depends: ${python:Depends}, python-twisted-web2 (>= 0.2), adduser, python-debian (>= 0.1.4), python-apt (>= 0.6.20), python-pysqlite2 (>= 2.1)
+Depends: ${python:Depends}, ${misc:Depends}, python-twisted-web2 (>= 0.2), adduser, python-debian (>= 0.1.4), python-apt (>= 0.6.20), python-pysqlite2 (>= 2.1)
Provides: python-apt-p2p, python-apt-p2p-khashmir
Description: apt helper for peer-to-peer downloads of Debian packages
Apt-P2P is a helper for downloading Debian packages files with APT.
--- /dev/null
+[type: gettext/rfc822deb] apt-p2p.templates
--- /dev/null
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: apt-p2p@packages.debian.org\n"
+"POT-Creation-Date: 2008-04-24 11:52-0700\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: note
+#. Description
+#: ../apt-p2p.templates:1001
+msgid "Port forwarding"
+msgstr ""
+
+#. Type: note
+#. Description
+#: ../apt-p2p.templates:1001
+msgid ""
+"It is VERY important that Apt-P2P's ports be reachable by other peers. This "
+"is needed both to share files with others, and to connect to others through "
+"the DHT to find peers for files. If you aren't accessible by others, you "
+"will not only not share anything, but your performance during downloading "
+"will be affected."
+msgstr ""
+
+#. Type: note
+#. Description
+#: ../apt-p2p.templates:1001
+msgid ""
+"Apt-P2P uses a default port of 9977, over both TCP and UDP, for it's "
+"communication. You can change this port in the /etc/apt-p2p/apt-p2p.conf "
+"file, and use different ports for TCP and UDP, if desired. Whatever port you "
+"use, make sure to forward it through your NAT or firewall to improve your "
+"performance and share with others. Information on port forwarding can be "
+"found here:"
+msgstr ""
+
+#. Type: note
+#. Description
+#: ../apt-p2p.templates:1001
+msgid "http://portforward.com/"
+msgstr ""
set -e
+. /usr/share/debconf/confmodule
+
# summary of how this script can be called:
# * <postinst> `configure' <most-recently-configured-version>
# * <old-postinst> `abort-upgrade' <new version>
;;
esac
+# Tell debconf to stop so it doesn't get confused
+db_stop
+
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.
binary-indep: install
dh_testdir
dh_testroot
+ dh_installdebconf
dh_installdocs
dh_installman